using Exferia_Aplicacion.General;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Exferia_Agenda.General
{
    public class ListadosEstaticos
    {

        public static List<INTERNO_ComboBox_Modelo> Devolver_Agenda_Intervalos()
        {
            List<INTERNO_ComboBox_Modelo> lst_Combos_Modelo = new List<INTERNO_ComboBox_Modelo>();

            lst_Combos_Modelo.Add(new INTERNO_ComboBox_Modelo("5", "5", null));
            lst_Combos_Modelo.Add(new INTERNO_ComboBox_Modelo("10", "10", null));
            lst_Combos_Modelo.Add(new INTERNO_ComboBox_Modelo("15", "15", null));
            lst_Combos_Modelo.Add(new INTERNO_ComboBox_Modelo("20", "20", null));
            lst_Combos_Modelo.Add(new INTERNO_ComboBox_Modelo("30", "30", null));

            return lst_Combos_Modelo;
        }

        public static List<INTERNO_ComboBox_Modelo> Devolver_Agenda_Tipo()
        {
            List<INTERNO_ComboBox_Modelo> lst_Combos_Modelo = new List<INTERNO_ComboBox_Modelo>();

            lst_Combos_Modelo.Add(new INTERNO_ComboBox_Modelo(Variables_Agenda.G_MDL_AGENDA_TIPO_DIA.Codigo, Variables_Agenda.G_MDL_AGENDA_TIPO_DIA.Descripcion, null));
            lst_Combos_Modelo.Add(new INTERNO_ComboBox_Modelo(Variables_Agenda.G_MDL_AGENDA_TIPO_SEMANA.Codigo, Variables_Agenda.G_MDL_AGENDA_TIPO_SEMANA.Descripcion, null));
            lst_Combos_Modelo.Add(new INTERNO_ComboBox_Modelo(Variables_Agenda.G_MDL_AGENDA_TIPO_SEMANALABORAL.Codigo, Variables_Agenda.G_MDL_AGENDA_TIPO_SEMANALABORAL.Descripcion, null));

            return lst_Combos_Modelo;
        }

    }
}
